+2003-01-14 Ezra Peisach <epeisach@bu.edu>
+
+ * Makefile.in (check-unix): Invoke t_krbconf instead of struggling
+ with differing versions of make's quoting of \ and $.
+
+ * t_krbconf: Small shell script to test krb5-config.
+
2003-01-13 Ezra Peisach <epeisach@bu.edu>
* Makefile.in (check-unix): Test to see if krb5-config outputs
# Test to ensure that krb5-config does not spit out things like
# $(PURE) or $(LDFLAGS) in case someone changes config/shlib.conf
check-unix:: krb5-config
- @echo "Testing if krb5-config outputs shell variables"
- @if `./krb5-config --libs kdb | egrep -s '\\$$'`; then \
- echo "Error './krb5-config --libs kdb' contains shell variables"; \
- exit 1; \
- fi
- @if `./krb5-config --cflags | egrep -s '\\$$'`; then \
- echo "Error './krb5-config --cflags' contains shell variables"; \
- exit 1; \
- fi
- @echo "krb5-config appears ok"
+ $(SHELL) $(srcdir)/t_krbconf
--- /dev/null
+#!/bin/sh
+
+# Copyright 2003 by the Massachusetts Institute of Technology.
+# All Rights Reserved.
+#
+# Export of this software from the United States of America may
+# require a specific license from the United States Government.
+# It is the responsibility of any person or organization contemplating
+# export to obtain such a license before exporting.
+#
+# WITHIN THAT CONSTRAINT, permission to use, copy, modify, and
+# distribute this software and its documentation for any purpose and
+# without fee is hereby granted, provided that the above copyright
+# notice appear in all copies and that both that copyright notice and
+# this permission notice appear in supporting documentation, and that
+# the name of M.I.T. not be used in advertising or publicity pertaining
+# to distribution of the software without specific, written prior
+# permission. Furthermore if you modify this software you must label
+# your software as modified software and not distribute it in such a
+# fashion that it might be confused with the original M.I.T. software.
+# M.I.T. makes no representations about the suitability of
+# this software for any purpose. It is provided "as is" without express
+# or implied warranty.
+
+echo "Testing if krb5-config outputs shell variables"
+echo " Testing --libs argument"
+if `./krb5-config --libs kdb | egrep -s '\\$'`; then
+ echo "Error './krb5-config --libs kdb' contains shell variables";
+ exit 1;
+fi
+
+echo " Testing --cflags argument"
+if `./krb5-config --cflags | egrep -s '\\$'`; then \
+ echo "Error './krb5-config --cflags' contains shell variables"; \
+ exit 1; \
+fi
+echo "krb5-config tests pass"
+exit 0